package com.sd.cavphmi.utils

import android.os.Build

object MobileUtils {

//   if (ModelUtils.isEMUI() && android.os.Build.VERSION.SDK_INT >= Build.VERSION_CODES.O_MR1) {
//        mPwdEt.setInputType(InputType.TYPE_CLASS_TEXT | InputType.TYPE_TEXT_VARIATION_NORMAL);
//        mPwdEt.setTransformationMethod(PasswordTransformationMethod.getInstance());
//    }

    fun isMIUI(): Boolean {
        val manufacturer: String = Build.MANUFACTURER
        return "xiaomi".equals(manufacturer, ignoreCase = true)
    }

    fun isEMUI(): Boolean {
        val manufacturer: String = Build.MANUFACTURER
        return "HUAWEI".equals(manufacturer, ignoreCase = true)
    }

    fun isOPPO(): Boolean {
        val manufacturer: String = Build.MANUFACTURER
        return "OPPO".equals(manufacturer, ignoreCase = true)
    }

    fun isVIVO(): Boolean {
        val manufacturer: String = Build.MANUFACTURER
        return "vivo".equals(manufacturer, ignoreCase = true)
    }
}